## r-cran-r.methodss3 1.7.0

=== DESCRIPTION ===
Package: R.methodsS3
Version: 1.7.0
Depends: R (>= 2.2.0)
Imports: utils
Date: 2015-02-19
Title: S3 Methods Simplified
Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                          email = "henrikb@braju.com"))
Author: Henrik Bengtsson [aut, cre, cph]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Description: Methods that simplify the setup of S3 generic functions and S3 methods.  Major effort has been made in making definition of methods as simple as possible with a minimum of maintenance for package developers.  For example, generic functions are created automatically, if missing, and naming conflict are automatically solved, if possible.  The method setMethodS3() is a good start for those who in the future may want to migrate to S4.  This is a cross-platform package implemented in pure R that generates standard S3 methods.
License: LGPL (>= 2.1)
LazyLoad: TRUE
NeedsCompilation: no
Packaged: 2015-02-20 03:15:35 UTC; hb
Repository: CRAN
Date/Publication: 2015-02-20 09:16:51

## r-cran-r.methodss3 1.6.1

=== debian/changelog ===
r-cran-r.methodss3 (1.6.1-1) unstable; urgency=low

  * Initial release (Closes: #751151)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jun 2014 21:42:03 +0200

=== debian/control ===
Source: r-cran-r.methodss3
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev (>= 3.0.0)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-r.methodss3/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-r.methodss3/trunk/
Homepage: http://cran.r-project.org/web/packages/R.methodsS3/

Package: r-cran-r.methodss3
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends}
Description: GNU R utility function for defining S3 methods
 Methods that simplify the setup of S3 generic functions and S3 methods.
 Major effort has been made in making definition of methods as simple as
 possible with a minimum of maintenance for package developers. For
 example, generic functions are created automatically, if missing, and
 naming conflict are automatically solved, if possible. The method
 setMethodS3() is a good start for those who in the future may want to
 migrate to S4. This is a cross-platform package implemented in pure R
 that generates standard S3 methods.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-r.methodss3 package
# Copyright 2014 by Andreas Tille <tille@debian.org>

include /usr/share/R/debian/r-cran.mk

## r-cran-r.methodss3 1.7.0

=== debian/changelog ===
r-cran-r.methodss3 (1.7.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Add autopkg test

 -- Andreas Tille <tille@debian.org>  Sat, 04 Jul 2015 12:02:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev (>= 3.0.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-r.methodss3/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-r.methodss3/trunk/
 Homepage: http://cran.r-project.org/web/packages/R.methodsS3/

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/R.methodsS3_([-\d.]*)\.tar\.gz

## r-cran-r.methodss3 1.7.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: R.methodsS3
-Version: 1.7.0
-Depends: R (>= 2.2.0)
+Version: 1.7.1
+Depends: R (>= 2.13.0)
 Imports: utils
-Date: 2015-02-19
+Date: 2016-02-15
 Title: S3 Methods Simplified
 Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                           email = "henrikb@braju.com"))
@@ -12,6 +12,6 @@
 License: LGPL (>= 2.1)
 LazyLoad: TRUE
 NeedsCompilation: no
-Packaged: 2015-02-20 03:15:35 UTC; hb
+Packaged: 2016-02-16 03:21:35 UTC; hb
 Repository: CRAN
-Date/Publication: 2015-02-20 09:16:51
+Date/Publication: 2016-02-16 13:48:09

=== debian/changelog ===
r-cran-r.methodss3 (1.7.1-3) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 21:57:02 +0200

r-cran-r.methodss3 (1.7.1-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * debhelper 10
  * Convert from cdbs to dh-r
  * Secure URI in watch file
  * Canonical homepage for CRAN packages

 -- Andreas Tille <tille@debian.org>  Fri, 20 Oct 2017 12:02:49 +0200

r-cran-r.methodss3 (1.7.1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Thu, 28 Apr 2016 12:08:42 +0200

=== debian/control ===
Source: r-cran-r.methodss3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.methodss3
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.methodss3.git
Homepage: https://cran.r-project.org/package=R.methodsS3

Package: r-cran-r.methodss3
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R utility function for defining S3 methods
 Methods that simplify the setup of S3 generic functions and S3 methods.
 Major effort has been made in making definition of methods as simple as
 possible with a minimum of maintenance for package developers. For
 example, generic functions are created automatically, if missing, and
 naming conflict are automatically solved, if possible. The method
 setMethodS3() is a good start for those who in the future may want to
 migrate to S4. This is a cross-platform package implemented in pure R
 that generates standard S3 methods.

## r-cran-r.methodss3 1.8.0

=== debian/changelog ===
r-cran-r.methodss3 (1.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Dylan Aïssi <daissi@debian.org>  Sat, 22 Feb 2020 18:58:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.methodss3
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.methodss3.git
 Homepage: https://cran.r-project.org/package=R.methodsS3

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/R.methodsS3_([-\d.]*)\.tar\.gz

## r-cran-r.methodss3 1.8.1

=== DESCRIPTION ===
Package: R.methodsS3
Version: 1.8.1
Depends: R (>= 2.13.0)
Imports: utils
Suggests: codetools
Title: S3 Methods Simplified
Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                          email = "henrikb@braju.com"))
Author: Henrik Bengtsson [aut, cre, cph]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Description: Methods that simplify the setup of S3 generic functions and S3 methods.  Major effort has been made in making definition of methods as simple as possible with a minimum of maintenance for package developers.  For example, generic functions are created automatically, if missing, and naming conflict are automatically solved, if possible.  The method setMethodS3() is a good start for those who in the future may want to migrate to S4.  This is a cross-platform package implemented in pure R that generates standard S3 methods.
License: LGPL (>= 2.1)
LazyLoad: TRUE
URL: https://github.com/HenrikBengtsson/R.methodsS3
BugReports: https://github.com/HenrikBengtsson/R.methodsS3/issues
NeedsCompilation: no
Packaged: 2020-08-24 14:42:23 UTC; hb
Repository: CRAN
Date/Publication: 2020-08-26 16:20:06 UTC

=== debian/changelog ===
r-cran-r.methodss3 (1.8.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 04 Sep 2020 10:51:20 +0200

r-cran-r.methodss3 (1.8.0-2) unstable; urgency=medium

  * Team upload.
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 May 2020 12:38:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.methodss3
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.methodss3.git
 Homepage: https://cran.r-project.org/package=R.methodsS3
+Rules-Requires-Root: no
 
 Package: r-cran-r.methodss3
 Architecture: all

## r-cran-r.methodss3 1.8.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: R.methodsS3
-Version: 1.8.1
+Version: 1.8.2
 Depends: R (>= 2.13.0)
 Imports: utils
 Suggests: codetools
@@ -14,6 +14,6 @@
 URL: https://github.com/HenrikBengtsson/R.methodsS3
 BugReports: https://github.com/HenrikBengtsson/R.methodsS3/issues
 NeedsCompilation: no
-Packaged: 2020-08-24 14:42:23 UTC; hb
+Packaged: 2022-06-13 18:23:35 UTC; hb
 Repository: CRAN
-Date/Publication: 2020-08-26 16:20:06 UTC
+Date/Publication: 2022-06-13 22:00:14 UTC

=== debian/changelog ===
r-cran-r.methodss3 (1.8.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jun 2022 08:44:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-r.methodss3
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.methodss3
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.methodss3.git
+Homepage: https://cran.r-project.org/package=R.methodsS3
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r.methodss3
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r.methodss3.git
-Homepage: https://cran.r-project.org/package=R.methodsS3
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-r.methodss3
 Architecture: all
